<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Exports\UsersExport;
use App\Imports\UsersImport;
use Maatwebsite\Excel\Facades\Excel;
use App\Models\User;

class ExcelCSVController extends Controller
{
    public function index()
    {
        $users = User::get();
        return view('excel-csv-import', compact('users'));
    }

    public function importExcelCSV(Request $request)
    {
        try {
            Excel::import(new UsersImport, $request->file('file'));
        } catch (\Exception $e) {
            return redirect('excel-csv-file')->with('error', 'Invalid template. Download and use the import template to get results.');
        }

        return redirect('excel-csv-file')->with('status', 'The file has been XLSX imported to the database.');
    }

    public function exportExcelCSV()
    {
        $filename = 'users-' . now()->format('Y-m-d_H:i') . '.xlsx';

        return Excel::download(new UsersExport, $filename);
    }

    public function downloadImportTemplate()
    {
        $path = base_path('/template/users.xlsx');;

        return response()->download($path, 'users.xlsx', [
            'Content-Type' => 'text/xlsx',
        ]);
    }
}
