<!DOCTYPE html>
<html>

<head>
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <title>Laravel Import Excel to Database</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
</head>

<body>
  <div class="container mt-5">

    @if(session('status'))
    <div class="alert alert-success">
      {{ session('status') }}
    </div>
    @endif
    @if(session('error'))
    <div class="alert alert-danger">
      {!! session('error') !!}
    </div>
    @endif

    <div>
      <h2 class="text-center mb-5">Laravel Import Excel to Database</h2>

      <form id="excel-csv-import-form" method="POST" action="{{ url('import-excel-csv-file') }}" accept-charset="utf-8" enctype="multipart/form-data">
        @csrf
        <div class="mb-4">
          <a href="{{url('export-excel-csv-file')}}" class="btn btn-success mb-2">Export</a>
          <label for="fileInput" class="btn btn-primary mx-2">Import</label>
          <input type="file" id="fileInput" name="file" class="d-none" onchange="submitForm(this)">
          <a href="{{ url('download-import-template') }}" class="text-decoration-none">(Download the import template)</a>
        </div>
      </form>

      <table class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Name</th>
            <th scope="col">Email</th>
            <th scope="col">Phone</th>
            <th scope="col">Fax</th>
            <th scope="col">Zip</th>
          </tr>
        </thead>
        <tbody>
          @if(count($users) > 0)
          @foreach($users as $user)
          <tr>
            <th scope="row">{{ $user->id }}</th>
            <td>{{ $user->name }}</td>
            <td>{{ $user->email }}</td>
            <td>{{ $user->phone }}</td>
            <td>{{ $user->fax }}</td>
            <td>{{ $user->zip }}</td>
          </tr>
          @endforeach
          @endif
        </tbody>
      </table>
    </div>
  </div>
</body>

<script>
  function submitForm(input) {
    document.getElementById('excel-csv-import-form').submit();
  }
</script>

</html>